#! /bin/bash
#
# debian/tests/smoke-python3
# Part of Debian ‘pyrlp’ package.
#
# This is free software, and you are welcome to redistribute it under
# certain conditions; see the end of this file for copyright
# information, grant of license, and disclaimer of warranty.
#
# Smoke test for package in Python 3 environments.

set -o errexit
set -o errtrace
set -o nounset

DISTRIBUTION_NAME=rlp
MODULE_NAMES=(
        rlp
        )

test_opts="--distribution=$DISTRIBUTION_NAME"
for mod in ${MODULE_NAMES[@]} ; do
    # Accumulate the module names.
    test_opts="$test_opts --module=$mod"
done

for py in $(py3versions --supported) ; do
    printf "Python command: %s\n" $py
    $py debian/tests/smoke_test.py $test_opts
    printf "\n"
done


# Copyright © 2016–2022 Ben Finney <bignose@debian.org>
#
# This is free software: you may copy, modify, and/or distribute this work
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; version 3 of that license or any later version.
# No warranty expressed or implied.


# Local variables:
# coding: utf-8
# mode: shell-script
# End:
# vim: fileencoding=utf-8 filetype=sh :
